classification
Title: Convert sqlite3 to heap types (PEP 384)
Type: resource usage Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, erlendaasland, ghaering, shihai1991, vstinner
Priority: normal Keywords: patch

Created on 2020-09-25 12:18 by erlendaasland, last changed 2020-11-17 13:31 by erlendaasland. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22409 closed erlendaasland, 2020-09-25 12:25
PR 22417 merged erlendaasland, 2020-09-26 10:31
PR 22419 closed erlendaasland, 2020-09-26 20:51
PR 22428 merged erlendaasland, 2020-09-27 18:39
PR 22444 merged erlendaasland, 2020-09-28 22:21
PR 22478 merged erlendaasland, 2020-10-01 13:34
PR 23337 merged erlendaasland, 2020-11-17 10:11
Messages (8)
msg377488 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-09-25 12:18
https://www.python.org/dev/peps/pep-0384/
msg377561 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-27 12:15
New changeset a937ab45d6af4f99ff16fec73d5d75d93c569456 by Erlend Egeberg Aasland in branch 'master':
bpo-41861: Convert _sqlite3 cache and node static types to heap types (GH-22417)
https://github.com/python/cpython/commit/a937ab45d6af4f99ff16fec73d5d75d93c569456
msg377631 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-28 22:05
New changeset cb6db8b6ae47dccc1aa97830d0f05d29f31e0cbc by Erlend Egeberg Aasland in branch 'master':
 bpo-41861: Convert _sqlite3 PrepareProtocolType to heap type (GH-22428)
https://github.com/python/cpython/commit/cb6db8b6ae47dccc1aa97830d0f05d29f31e0cbc
msg377750 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-10-01 13:24
New changeset 9031bd4fa42dbb0f25aee9286154ad4bf60df3f8 by Erlend Egeberg Aasland in branch 'master':
bpo-41861: Convert _sqlite3 RowType and StatementType to heap types (GH-22444)
https://github.com/python/cpython/commit/9031bd4fa42dbb0f25aee9286154ad4bf60df3f8
msg377754 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-10-01 14:03
New changeset 256e54acdbdb26745d4bbb5cf366454151e42773 by Erlend Egeberg Aasland in branch 'master':
bpo-41861: Convert _sqlite3 CursorType and ConnectionType to heap types (GH-22478)
https://github.com/python/cpython/commit/256e54acdbdb26745d4bbb5cf366454151e42773
msg381229 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-17 12:53
New changeset 2ffba2a1027909e1dd697bf8ec2a03fba7618020 by Erlend Egeberg Aasland in branch 'master':
bpo-41861, _sqlite3 : Add NEWS entry and rename variables (GH-23337)
https://github.com/python/cpython/commit/2ffba2a1027909e1dd697bf8ec2a03fba7618020
msg381230 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-17 12:53
Is it done? Can we close the issue?
msg381231 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-11-17 13:31
Yes, all sqlite3 types are converted to heap types.
History
Date User Action Args
2020-11-17 13:31:51erlendaaslandsetstatus: open -> closed
resolution: fixed
messages: + msg381231

stage: patch review -> resolved
2020-11-17 13:17:07shihai1991setnosy: + shihai1991
2020-11-17 12:53:34vstinnersetmessages: + msg381230
2020-11-17 12:53:14vstinnersetmessages: + msg381229
2020-11-17 10:11:21erlendaaslandsetpull_requests: + pull_request22226
2020-11-17 10:02:44erlendaaslandsetversions: + Python 3.10
type: resource usage
title: Convert sqlite3 to PEP 384 -> Convert sqlite3 to heap types (PEP 384)
2020-10-01 14:03:42vstinnersetmessages: + msg377754
2020-10-01 13:34:41erlendaaslandsetpull_requests: + pull_request21495
2020-10-01 13:24:47vstinnersetmessages: + msg377750
2020-09-28 22:21:00erlendaaslandsetpull_requests: + pull_request21474
2020-09-28 22:05:10vstinnersetmessages: + msg377631
2020-09-27 18:39:41erlendaaslandsetpull_requests: + pull_request21462
2020-09-27 12:15:08vstinnersetnosy: + vstinner
messages: + msg377561
2020-09-26 20:51:31erlendaaslandsetpull_requests: + pull_request21456
2020-09-26 10:31:03erlendaaslandsetpull_requests: + pull_request21454
2020-09-25 12:25:24erlendaaslandsetkeywords: + patch
stage: patch review
pull_requests: + pull_request21448
2020-09-25 12:19:09xtreaksetnosy: + ghaering, berker.peksag
2020-09-25 12:18:11erlendaaslandcreate